M_ActivityVIPCFG = {}

function M_ActivityVIPCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityVIPCFG:init()
	self.datas = {}
	self.datas[0] = {VipLv = 0, ActiviyScratchTicket = {1,5,0,5,0,3}, ActiviyAdventure = {0,0}}
	self.datas[1] = {VipLv = 1, ActiviyScratchTicket = {1,7,0,5,0,3}, ActiviyAdventure = {0,0}}
	self.datas[2] = {VipLv = 2, ActiviyScratchTicket = {1,7,0,7,0,3}, ActiviyAdventure = {0,0}}
	self.datas[3] = {VipLv = 3, ActiviyScratchTicket = {1,7,0,7,0,5}, ActiviyAdventure = {0,1}}
	self.datas[4] = {VipLv = 4, ActiviyScratchTicket = {2,7,0,7,0,5}, ActiviyAdventure = {0,1}}
	self.datas[5] = {VipLv = 5, ActiviyScratchTicket = {2,9,0,7,0,7}, ActiviyAdventure = {0,1}}
	self.datas[6] = {VipLv = 6, ActiviyScratchTicket = {3,9,0,9,0,7}, ActiviyAdventure = {0,1}}
	self.datas[7] = {VipLv = 7, ActiviyScratchTicket = {5,9,0,9,0,9}, ActiviyAdventure = {0,1}}
	self.datas[8] = {VipLv = 8, ActiviyScratchTicket = {5,11,0,9,1,9}, ActiviyAdventure = {0,2}}
	self.datas[9] = {VipLv = 9, ActiviyScratchTicket = {5,11,0,11,2,11}, ActiviyAdventure = {0,2}}
	self.datas[10] = {VipLv = 10, ActiviyScratchTicket = {5,15,0,15,3,15}, ActiviyAdventure = {0,2}}
	self.datas[99] = {VipLv = 99, ActiviyScratchTicket = {1,5,0,5,0,3}, ActiviyAdventure = {0,0}}
end

M_ActivityVIPCFG:init()
